WordPress.org

Ready to get started?Download WordPress

Forums

Subscribe2
[resolved] Can't get translation to work (9 posts)

  1. dikkevandale
    Member
    Posted 1 year ago #

    I tried to activate the Dutch language file on my website, but I cannot get it to work. For example on the website it still says: "You may manage your subscription options from your profile". Instead of the line in the .mo file

    Tried different things, like uninstalling and installing the plugin with the .mo file in de plugin folder present. Reinstalling the .mo file downloaded with another browser. Reset the browser (Safari, Firefox, Chrome) including cache and settings etc. My wp-config.php file has the line define('WPLANG', 'nl_NL'); and the rest of languages on my site do work. I have tried the formal and informal download for Dutch language. Can't get it to work, help please.

    http://wordpress.org/extend/plugins/subscribe2/

  2. mattyrob
    Member
    Plugin Contributor

    Posted 1 year ago #

    @dikkevandale,

    Have you got caching in use on your site at all? The strings may be cached and the old ones are still being served.

  3. dikkevandale
    Member
    Posted 1 year ago #

    Nope, no caching at all

  4. mattyrob
    Member
    Plugin Contributor

    Posted 1 year ago #

    @dikkevandale,

    Are you using a translation plugin?

    What is your site URL?

  5. dikkevandale
    Member
    Posted 1 year ago #

    I do not use a translation plugin. I could send the URL but in private or email.

  6. mattyrob
    Member
    Plugin Contributor

    Posted 1 year ago #

    @dikkevandale,

    Looking at the formal and informal files they are 6 years old. Even the most recent file is about 18 months out if date. I suspect the files are not working as try are too old. It might need translating again from the template file that gets installed with the plugin.

  7. dikkevandale
    Member
    Posted 1 year ago #

    Ok, thanks for the heads-up :) I have (partly) translated the .pot file myself and it is working now indeed.

    There are only 2 errors every time I save the .pot file to a .mo file with Poedit on Mac:

    1 issue with the translation found.
    Entries with errors were marked in red in the list. Details of the error will be shown when you select such an entry.

    The file was saved safely, but it cannot be compiled into the MO format and used.

    Poedit Error
    header field `Project-Id-Version' still has the initial default value

    I don't know where these 2 errors come from (there are no red marked errors). Is it your .pot file or anything Mac Poedit specific?

  8. mattyrob
    Member
    Plugin Contributor

    Posted 1 year ago #

    @dikkevandale,

    I don't need to use translations so I'm not the best person to ask. Try changing the 'Project-Id-Version' in the header at the top of the file though and see if that fixes things for you.

  9. dikkevandale
    Member
    Posted 1 year ago #

    I have got it working by setting project id version just to 1 :)

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags